import { Component, OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute, Params, Router,RouterModule } from '@angular/router';
import { Subscription } from 'rxjs';

@Component({
  selector: 'app-user',
  standalone: true,
  imports: [RouterModule],
  templateUrl: './user.component.html',
  styleUrl: './user.component.css'
})
export class UserComponent implements OnInit,OnDestroy {
  //user?: {id: number, name: string};
  user:any={};
  parmSubscription?:Subscription;


  constructor(private actRoute:ActivatedRoute) { }
//http://localhost:4200/customers/1/Ramu

  ngOnInit() {
    this.user={
      id:this.actRoute.snapshot.params['id'],
      name:this.actRoute.snapshot.params['name']
    }


   this.parmSubscription=this.actRoute.params.subscribe(
      (params:Params)=>{
          this.user.id=params['id'],
          this.user.name=params['name']
      }
    )
  }

  ngOnDestroy(){
    this.parmSubscription?.unsubscribe();

  }
}
